
NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel
Model GS752TPSB-100EUSEAN 606449084849
64 specifications
- Memory128 MB
- Speed10 Gbit/s
- ConnectivityWired
- Type1U
- Weight5.48 kg
- ColourStainless steel
Overview
- Memory
- 128 MB
- Speed
- 10 Gbit/s
- Connectivity
- Wired
- Type
- 1U
- Weight
- 5.48 kg
- Colour
- Stainless steel
- Brand
- NETGEAR
- Category
- Network Switch
- Model
- GS752TPSB-100EUS
- Part number
- GS752TPSB-100EUS
- EAN / UPC
- 606449084849, 6064490848492
- Also known as
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel
Specifications
64 specifications in 17 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L3 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC 1213 MIB II, RFC 1643 Ethernet Interface MIB, RFC 1493 Bridge MIB |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 48 |
| Gigabit Ethernet (copper) ports quantity | 2 |
| SFP module slots quantity | 4 |
| SFP/SFP+ slots quantity | 4 |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.3, IEEE 802.3ab, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | Yes |
| Copper ethernet cabling technology | 1000BASE-T, 1000BASE-TX, 100BASE-TX, 10BASE-T |
| Port mirroring | Yes |
| Full duplex | Yes |
| Ethernet LAN data rates | 10,100,1000 Mbit/s |
| VLAN support | Yes |
| Number of VLANs | 4093 |
Optical fiber
| Specification | Value |
|---|---|
| Fiber type | Single-mode |
Data transmission
| Specification | Value |
|---|---|
| Supported data transfer rates | 10/100/1000Mbps |
| Store-and-forward | Yes |
| Number of static routes | 32 |
| Maximum data transfer rate | 10 Gbit/s |
| Packet buffer memory | 2 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| SSH/SSL support | Yes |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Stackable | Yes |
| Form factor | 1U |
| Product colour | Stainless steel |
| LED indicators | LAN, PoE, Power, Status |
| Safety | CE, CUL 60950/EN 60950, CB, CCC |
Performance
| Specification | Value |
|---|---|
| Memory type | DDR-SDRAM |
| Internal memory | 128 MB |
| Flash memory | 32 MB |
| Firmware upgradeable | Yes |
| Mean time between failures (MTBF) | 206539.3 h |
Power
| Specification | Value |
|---|---|
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Input current | 8 A |
| Power consumption (typical) | 526.8 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
| Power over Ethernet plus (PoE+) ports quantity | 8 |
Other features
| Specification | Value |
|---|---|
| Latency | 20 |
| Connectivity technology | Wired |
| Bandwidth | 104 Gbit/s |
| Ethernet LAN | Yes |
| Ethernet interface type | Fast Ethernet, Gigabit Ethernet |
| Power LED | Yes |
| Wi-Fi | No |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -20 - 70 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Storage relative humidity (H-H) | 5 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 440 mm |
| Depth | 310 mm |
| Height | 43 mm |
| Weight | 5.48 kg |
Packaging content
| Specification | Value |
|---|---|
| Manual | Yes |
| User guide | Yes |
Certificates
| Specification | Value |
|---|---|
| Certification | CE, FCC 15 A, VCCI A, EN 55022 (CISPR 22), EN 55024 (CISPR 24), C-Tick, CCC |
Logistics data
| Specification | Value |
|---|---|
| Harmonized System (HS) code | 85176990 |
What people say
Reviews & ratings
NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel
No reviews yet
Be the first to tell others how NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel
All network switch comparisons- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsNETGEAR ProSafe Managed L2 Power over Ethernet (PoE) BlackCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsNETGEAR 2nd Generation ProSafe 48-Port Gigabit PoE Stackable Smart SwitchCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsNETGEAR GS752TSB Managed L3 Gigabit Ethernet (10/100/1000) BlackCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsNETGEAR GS748TS3U Managed L3 Power over Ethernet (PoE) GreyCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsTP-Link TL-SL3428 Managed L2 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsTP-Link JetStream 24-Port Gigabit L2 Managed PoE+ Switch with 4 Combo SFP SlotsCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsD-Link DSS-5E network switch Unmanaged BlackCompare specs
- NETGEAR GS752TPSB-100EUS network switch Managed L3 Power over Ethernet (PoE) 1U Stainless steel vsZyxel GS-108S Unmanaged BlackCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB


















